<template>
  <div>
    <div class="account-pages mt-5 mb-5">
      <div class="container">
        <div class="row justify-content-center">
          <nuxt />
        </div>
        <!-- end row -->
      </div>
      <!-- end container -->
    </div>
    <!-- end page -->


    <footer class="footer footer-alt">
      {{ todayYear }} &copy; UBold theme by <a href="" class="text-white-50">Coderthemes</a>
    </footer>
  </div>
</template>

<script>
export default {
  head: {
    meta: [
      { charset: 'utf-8' },
      { name: 'viewport', content: 'width=device-width, initial-scale=1' },
      {
        hid: 'description',
        name: 'description',
        content: 'my website description'
      }
    ],
    link: [
      {
        rel: 'stylesheet',
        href: '/assets/css/icons.min.css',
      },
      {
        rel: 'stylesheet',
        href: '/assets/css/bootstrap.min.css'
      },
      {
        rel: 'stylesheet',
        href: '/assets/css/app.min.css'
      },
      {
        rel: 'icon',
        type: 'image/x-icon',
        href: '/favicon.ico'
      }
    ],
    script: [
      {
        src: 'https://cdnjs.cloudflare.com/ajax/libs/jquery/3.1.1/jquery.min.js'
      }
    ],

    bodyAttrs: {
      class: 'authentication-bg authentication-bg-pattern'
    }
  },
  computed: {
    isLoggedIn() {
      return this.$auth.loggedIn;
    },
    todayYear() {
      return new Date().getFullYear()
    }
  },

  methods: {
    logout() {
      this.$axios.$post('logout')
        .then(resp => {
          this.$auth.logout();
        })
        .catch(errors => {
          console.dir(errors);
        });
    }
  }
}
</script>
